% this program can plot a section plot from a multiprofile file
% created with demo_nc2mat.m

infi='4900169_prof.mat'
load(infi)
fonts=16;

tim=data.JULD-6717;

% interpolate to regular pressure intervals
p=0:10:max9(data.PRES(:));
for k=1:length(data.JULD)
    l=find(~isnan(data.TEMP(k,:)+data.PSAL(k,:)));
    yi= interp1(data.PRES(k,l),[data.TEMP(k,l); data.PSAL(k,l)]',p);
    ti(:,k)=yi(:,1);
    si(:,k)=yi(:,2);
end
% temperature section (time on x-axis)
figure
iso=[0:.5:10 11:1:max9(ti(:))+1];
col=fix_colormap(iso);
contourf(tim,p,ti,iso)
colormap(col),colorbar
set(gca,'ydir','reverse')
a=axis;, axis(a), [lab,labp]=timlab(rd2dmy(a(1):a(2)),a(1):a(2));
% salinity section (time on x-axis)
figure
iso=[32:.1:35];
col=fix_colormap(iso);
contourf(tim,p,si,iso)
colormap(col),colorbar
set(gca,'ydir','reverse')
a=axis;, axis(a), [lab,labp]=timlab(rd2dmy(a(1):a(2)),a(1):a(2));
