function dmy = rd2dmy(rjul)
%function dmy = rd2dmy(rjul)
%
%     converts RAFOS JULIAN day (rjul) to day, month, year (dmy(1:3))
%     RAFOS JULIAN day = julian day (ref. to 24 nov 4713BC) - 2440000
%
%          translated from dates.c from GSO RAFOS processing code
%          which was taken from Collected Algorithms from ACM, #199
%                   "astronomically correct"
%          and converted to RAFOS JULIAN day   20.03.91 kst
%
% rjul will be 'floored' before calculation - CS, Aug 7, 2003
rjul = floor(rjul(:));

      julian = rjul - 1721119 + 2440000;
      iyr = floor(( 4*julian - 1 )/ 146097);
      julian = 4*julian - 1 - 146097*iyr;
      iday = floor(julian/4);
      julian = floor(( 4*iday + 3 )/ 1461);
      iday = 4*iday + 3 - 1461*julian;
      iday = floor(( iday + 4 )/ 4);
      month = floor(( 5*iday - 3 )/ 153);
      iday = 5*iday - 3 - 153*month;
      iday = floor(( iday + 5 )/ 5);
      iyr = 100*iyr + julian;

      indxlt = find( month < 10 );
      indxgr = find( month > 9);
      month(indxgr) = month(indxgr) - 9;
      month(indxlt) = month(indxlt) + 3;
      iyr(indxgr) = iyr(indxgr) + 1;
      %if month <  10,
      %  month = month + 3;
      %else
      %  month = month - 9;
      %  iyr = iyr + 1;
      %end

dmy = [iday month iyr];
