function t90 = t68tot90(t68)
%function t90 = t68tot90(t68)
%
%-----------------------------------------------------------------------------
% Converts temperature from ITPS-68 to ITS-90
%
%     Input:
%            t68  -  Temperature  [IPTS-68]
%
%     Output:
%            t90  -  Temperature  [ PTS-90]
%
%     References:
%
%     Checkvalue:  t68tot90(100) = 99.976
%
%---------------------------------------------------------------------

%  S. Chiswell 1991

t90 = 0.99976 * t68;
