function tsdens(p_bar,iso,cvar1,cvar2)
%
% Program for plotting of sigma-lines in t-s diagrams for Matlab 4.2
% c.schmid 19.12.94                                            Version 1.0
% c.schmid 19.6.95                                             Version 1.1
%
% function tsdens(p_bar,iso,cvar1,cvar2)
%
% p_bar =   pressure level for sigma-lines
% iso =     sigma-lines to plot (automatic estimation if vector has less than two elements)
% cvar1 =   1. variable (Temperature or Salinity)
% cvar2 =   2. variable (Salinity or Temperature)
%
a=axis;
if upper(cvar1(1)) == 'S' & upper(cvar1(2)) ~= 'I',
   s=floor(a(1)*10)/10:.1:ceil(a(2)*10)/10;
elseif upper(cvar2(1)) == 'S' & upper(cvar2(2)) ~= 'I',
   s=floor(a(3)*10)/10:.1:ceil(a(4)*10)/10;
else
   fprintf('error exit in tsdens at salinity identification\n')
   return
end
if upper(cvar1(1)) == 'T',
   t1=floor(a(1)*10)/10;
   t2=ceil(a(2)*10)/10;
elseif upper(cvar2(1)) == 'T',
   t1=floor(a(3)*10)/10;
   t2=ceil(a(4)*10)/10;
else
   fprintf('error exit in tsdens at temperature identification\n')
   return
end
if strcmp(upper(cvar1),'T90 ') | strcmp(upper(cvar2),'T90 '),
   t1=t90tot68(t1);
   t2=t90tot68(t2);
elseif strcmp(upper(cvar1),'THETA') | strcmp(upper(cvar2),'THETA'),
   fprintf('Fehler in sigma-linien wegen pot. temp., mache trotzdem weiter\n')
end
sigma=[];
test1=(t2-t1-floor(t2-t1)) * 5;
test2=round(test1);
if test1 ~= test2, t2=t2+.1;, end
k=find(s>=0 & s<=70);, s=s(k);
t=t1:.2:t2;, k=find(t>=-5 & t<=50);, t=t(k);
for k=1:length(t),
   [sigma_st,sigma_stp]=ieos802(p_bar,t(k),s);
   sigma=[sigma sigma_stp(:)];
end
if length(iso) < 2,
	iso = floor(min(min(sigma))):.5:ceil(max(max(sigma)));
end
c=contour(s,t,sigma',iso,'k');  %'
%isoc=iso(1:2:length(iso));
isoc=iso;
h=clabelc(c,isoc);
digitweg(h)
xlabel(lower(cvar1)),ylabel(lower(cvar2))
